package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag204;


import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT204Creator;

public class Tag58aCreator extends AbsTagCreate {
    private MT204Creator mt204Creator;

    public Tag58aCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt204Creator= (MT204Creator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerBicAdrCreator(mt204Creator,"beneficiaryInstitution");
    }
}


